### Type parameters

- #### T

- #### I: DeleteItemInput | PutItemInput | UpdateItemInput

- #### R: WriteRequest<T, I, R>

### Hierarchy

- StandardRequest<T, I, R>
  - WriteRequest
    - UpdateRequest
    - DeleteRequest
    - PutRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- onlyIf
- onlyIfAttribute
- returnConsumedCapacity
- returnItemCollectionMetrics
- returnValues

## Constructors

### Protected constructor

- new WriteRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): WriteRequest

- Overrides StandardRequest.constructor

  - Defined in dynamo/request/write.request.ts:15

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns WriteRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:23

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:25

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:24

### params

params: I

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:27

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:26

## Methods

### exec

- exec(): Observable<void>

- Overrides StandardRequest.exec

  - Defined in dynamo/request/write.request.ts:47

  #### Returns Observable<void>

### Abstract execFullResponse

- execFullResponse(): Observable<any>

- Inherited from StandardRequest.execFullResponse

  - Defined in dynamo/request/standard.request.ts:23

  #### Returns Observable<any>

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): R

- - Defined in dynamo/request/write.request.ts:32

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns R

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunction<R, T, K>

- - Defined in dynamo/request/write.request.ts:25

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<R, T, K>

### returnConsumedCapacity

- returnConsumedCapacity(level: ReturnConsumedCapacity): R

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:48

  #### Parameters

  - ##### level: ReturnConsumedCapacity

  #### Returns R

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: ReturnItemCollectionMetrics): R

- - Defined in dynamo/request/write.request.ts:20

  #### Parameters

  - ##### returnItemCollectionMetrics: ReturnItemCollectionMetrics

  #### Returns R

### returnValues

- returnValues(returnValues: "NONE" | "ALL_OLD"): R

- - Defined in dynamo/request/write.request.ts:42

  #### Parameters

  - ##### returnValues: "NONE" | "ALL_OLD"

  #### Returns R

Generated using TypeDoc